package com.YuyeTech.TPlat.game.userinfo.service;

import com.YuyeTech.TPlat.common.service.CommonService;
import com.YuyeTech.TPlat.game.userinfo.projo.MainInfo;
import com.YuyeTech.TPlat.game.userinfo.vo.MainInfoVo;

/**
 * @author:slambb
 * @date:2019/12/31
 */
public interface MainInfoService extends CommonService<MainInfoVo, MainInfo, String> {
    MainInfo findMainInfoById(String userId);
    MainInfo findMainInfoByPhoneNumber(String phoneNumber);
    MainInfo findMainInfoByPhoneNumberAndPassword(String phoneNumber,String password);
    MainInfo findMainInfoByEmailAndPassword(String email,String password);
    MainInfo findMainInfoByEmail(String mail);
    MainInfo addMainInfo(MainInfo mainInfo);
    String deleteMainInfoById(String userId);
}
